import java.io.*;
import java.util.Scanner;

public class MeinWarenkorb {
  public static void main(String[] args) {
    Warenkorb mw = new Warenkorb(); //neuen leeren Warenkorb als Objekt mw anlegen
    Scanner sc = new Scanner(System.in);
    int auswahl;
    String produktname;
    long produktcode;
    float stueckpreis;

    do {
      System.out.printf("\nMein Warenkorb\n");
      System.out.printf("  1: Neuen Datensatz anlegen. Produkt, Produktcode und Stueckpreis eingeben\n");
      System.out.printf("  2: Bestehenden Datensatz loeschen\n");
      System.out.printf("  3: Datensaetze aufsteigend nach Stueckpreis sortieren (mit Insertsort)\n");
      System.out.printf("  4: Datensaetze anzeigen\n");
      System.out.printf("  5: Datensaetze in Datei speichern\n");
      System.out.printf("  6: Programmende\n\n");
      System.out.printf("Auswahl: ");
      auswahl = Integer.parseInt(sc.next());
      switch(auswahl)
      {
        case 1: /* Neuen Datensatz anlegen */
          System.out.print("Produktname: "); /* ohne Leerzeichen */
          produktname = sc.next();
          System.out.print("Produktcode: ");
          produktcode = Long.parseLong(sc.next());
          System.out.print("Stueckpreis: ");
          stueckpreis = Float.parseFloat(sc.next());
          mw.fuegeArtikelHinzu(produktname, produktcode, stueckpreis);
          mw.zeigeWarenkorbAn();
          break;
        case 2: /* Bestehenden Datensatz loeschen */
          System.out.print("Nummer des zu loeschenden Eintrags: ");
          int i = Integer.parseInt(sc.next());
          if ((i < 0) || (i >= mw.anzahlArtikel())) {
            System.out.printf("Fehler: Ungueltige Eintragsnummer!\n");
            break;
          }
          mw.loescheArtikel(i);
          mw.zeigeWarenkorbAn();
          break;
        case 3:
          mw.insertsort();
          mw.zeigeWarenkorbAn();
          break;
        case 4: /* Datensaetze anzeigen */
          mw.zeigeWarenkorbAn();
          break;
       case 5: /* Datensaetze in Datei schreiben */
          System.out.print("Dateiname: ");
          String dateiname = sc.next();
          try {
            mw.speichereWarenkorb(dateiname);
          }
          catch (IOException e) {
            System.out.println("Fehler beim Anlegen oder Schreiben der Textdatei");
          }
          break;
      }
    } while (auswahl != 6);
  } //main
} //class

